POST
Create transaction for an entity

Authorizations

x-api-key
string
header
required

Headers

x-tenant
string
required

Tenant identifier

Query Parameters

instantEvaluation
boolean
default:false

Boolean whether to evaluate a transaction against published rules within the request lifetime or in the background

Body

application/json
source
Wallet · object
required
target
Wallet · object
required
externalRef
string
required

Unique and stable identifier of the transaction in your system

Example:

"TXN-2026-000001"

sourceSystem
enum<string>
required

Identifies the system from which the transaction originated

Available options:
TenantDirect,
SnbCustodian,
AlrajhiCustodian,
AnbCustodian,
Tadawul,
Lean,
InternalAyn,
ManualOps
Example:

"TenantDirect"

transactionDate
string<date-time>
required

Date and time when the transaction was initiated or executed

amount
number
required

Monetary amount of the transaction

Example:

"102.53"

currency
enum<string>
required

Currency of the transaction

Available options:
Sar,
Usd
Example:

"Sar"

paymentType
enum<string>
required

Type of payment or transaction

Available options:
Deposit,
Withdrawal,
InternalTransfer,
Fee,
Adjustment,
Refund,
Payout
orderRef
string

Identifier of the order, payment, or business operation associated with the transaction

Example:

"ORD-2026-001234"

valueDate
string<date-time>

Date and time on which the transaction value is effective

settlementDate
string<date-time>

Date and time on which the transaction was settled

exchangeRate
number

Exchange rate applied to the transaction, when applicable

Example:

"3.75"

paymentForm
enum<string>

Form or channel through which the payment was made

Available options:
BankTransfer,
Cash,
Check,
InternalBook,
FundSubscription,
FundRedemption,
CreditCard,
ApplePay,
MadaCard
internalTransferReason
enum<string>

Reason for an internal transfer, when applicable

Available options:
FundSubscription,
FundRedemption,
OperationalSweep,
CurrencyConversion,
FeeSettlement,
PayInstallment,
EarlyInstallmentPayment,
Funding,
Payout
securityDetails
object
tagIds
string[]

Tags to apply to the transaction

Response

Success

data
object
required
creationStatus
enum<string>
Available options:
Created,
Invalid,
Existing